[Mongrel] scripts installed

Gunnar Wolf gwolf at gwolf.org
Wed Nov 14 17:02:53 EST 2007

John Joseph Bachir dijo [Wed, Nov 14, 2007 at 04:10:35PM -0500]:
> On a debian production server and my os x development mcahine, there
> is a script at
> /usr/local/bin/mongrel_rails
> On an ubuntu 7.1 machine, this script appears at
> /var/lib/gems/1.8/bin/mongrel_rails
> mongrel was installed using gem in all cases.
> What is the cause of the discrepancy?

I suggest you don't use different package management systems - Either
you handle _all_ of your Ruby modules and components (i.e. Mongrel)
via Gems, or _all_ of them via dpkg. And I favor the later, as it
guarantees better integration with your whole operating system. If you
mix some .deb packages and some Gems, you will end up with an
unadministrable system, and problems such as this will lead you to
problems such as what you are experiencing.

Ubuntu is currently shipping Mongrel 1.0.1 in its Gutsy release [1]; I
just uploaded 1.1.1 to Debian's unstable release [2]. Of course, I
won't also recommend you to use Debian's version in Ubuntu (it leads
to a similar chaos)... But just in case you want to use Debian proper

[1] http://packages.ubuntu.com/gutsy/web/mongrel

[2] http://packages.debian.org/sid/mongrel

Gunnar Wolf - gwolf at gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF

More information about the Mongrel-users mailing list